Mantis Bugtracker

Простой вид комментарии ] расширенный вид ] история ] печать ]
Номер Категория Серьезность Воспроизводимость Создан Изменен
0000136 [obex-data-server] General большая всегда 2008-09-25 14:01 2008-10-17 19:59
Инициатор heston_james Видимость общая  
Ответственный skirsdeda
Приоритет обычный Решение решен  
Состояние закрыт   Версия продукта
Суть 0000136: SDP Starts to fail after running for a while.
Подробности Morning Tadas,

After running some tests with the latest SVN this past 24 hours I've seen an issue arise. Seems that after having been running for a considerable amount of time and creating a few thousand sessions all connection attempts start to fail with the following error message:

org.openobex.Error.ConnectionAttemptFailed, Service search failed (Too many open files)

I'll leave it with you, if you want me to give you any more info then please feel free to ask :-)

Cheers,

Heston
Дополнительные сведения
Tэги Нет прикрепленных тэгов.
Вложенные файлы ? file icon valgrind_output [^] (82,698 bytes) 2008-09-26 17:09
? file icon strace_out [^] (102,286 bytes) 2008-10-03 18:15

- Связи

-  Комментарии
(0000423)
skirsdeda (администратор)
2008-09-26 01:53

Probably successful SDP transactions aren't closed properly. Should be easy to fix.
(0000424)
heston_james (инициатор)
2008-09-26 10:46

Yeah I think you're right, something just isnt being closed off properly, just need tracing through the process.
(0000455)
skirsdeda (администратор)
2008-10-09 23:25

So this should be fixed now. Heston, have you done some more testing regarding this? We can probably close this bug now.
(0000465)
heston_james (инициатор)
2008-10-10 12:49

Mornin